export const debounce = function(func) {
	let args = arguments;
	let result = null
	console.log(args);
	if (timeout) {
		clearTimeout(timeout)
	}
	let callNow = !timeout
	let timeout = setTimeout(() => {
		timeout = null;
	}, 1000)
	if (callNow) {
		result = func.apply(this, args) //如this指向有问题再开启 并注释下一行
		// result = func(...args)
	}
	return result
}
